﻿/* section colors */

.s-page-header__logo {
    background: #822433;
}

.s-page-hero__h1 {
    color: #822433;
    font-weight: bold;
    padding-bottom: 30px;
}

.s-wb-content a, .s-wb-content a:visited {
    color: #822433;
}

.s-wb-content ul > li:before {
    color: #822433;
}

a.s-border-btn, .s-border-btn {
    padding: 5px 8px;
    border-width: 2px;
    font-size: 22px;
    stroke: #FFF;
}

.jobSearch__searchBtn {
    width: 100%;
    margin-bottom: 10px;
}


.careerBreadcrumb {
    padding: 10px 0;
    font-weight: bold;
}

    .careerBreadcrumb a, .careerBreadcrumb a:visited {
        font-weight: normal;
        color: #4E4E4E;
    }

.pageBanner img {
    display: block;
    width: 100%;
}

.regions {
    margin-bottom: 30px;
    display: flex;
}

    .regions .row {
        margin-left: -5px;
        margin-right: -5px;
        flex-wrap: wrap;
    }

    .regions .col-md {
        padding-right: 5px;
        padding-left: 5px;
        flex-basis: 50%;
    }

.regions__heading {
    margin-bottom: 10px;
    text-transform: uppercase;
    font-size: 30px;
}

.region {
    display: block;
    margin-bottom: 10px;
}

.region__link {
    display: block;
    position: relative;
    height: 100%;
    width: 100%;
}

.region__overlay {
    display: flex;
    background: rgba(130, 36, 51, 0.7);
    height: 100%;
    width: 100%;
    align-items: center;
    padding: 40px 10px;
    position: absolute;
    top: 0;
    left: 0;
}

.region__focusElement {
    display: none;
}

.region__link.active .region__focusElement, .region__link:focus .region__focusElement {
    display: block;
    position: absolute;
    top: 3px;
    left: 3px;
    height: calc(100% - 6px);
    width: calc(100% - 6px);
    border: 3px solid #FFF;
    z-index: 1;
}

.region__title {
    color: #FFF;
    font-size: 21px;
    font-weight: bold;
    text-transform: uppercase;
    text-align: center;
    width: 100%;
}

.region__image {
    display: block;
    width: 100%;
}

.jobList {
    padding: 30px 0;
    border-spacing: 0;
    border-collapse: collapse;
    width: 100%;
}



    .jobList a {
        font-weight: bold;
        color: #822433;
    }

td.jobList__separator {
    padding: 0;
    vertical-align: middle;
}

.jobList .s-dots {
    margin: 5px 0;
}

.jobSearch {
    background: #822433;
    color: #FFF;
    margin: 0 5px 30px 0;
    padding: 24px 16px 36px;
}

.jobSearch__heading {
    margin-bottom: 10px;
    text-transform: uppercase;
    font-size: 30px;
    font-weight: normal;
}

.jobSearch__filter {
    margin-bottom: 16px;
}

input.jobSearch__filter {
    display: block;
    font-size: 20px;
    color: #4E4E4E;
    line-height: 1.3;
    font-family: 'arial-mt-std',Arial,Helvetica,"Hiragino Sans GB", "Microsoft YaHei","WenQuanYi Micro Hei",sans-serif;
    font-weight: lighter;
    padding: 6px 50px 6px 25px;
    width: 100%;
    max-width: 100%;
    border: none;
    box-shadow: 0 1px 0 1px rgba(0,0,0,.04);
    -moz-appearance: none;
    -webkit-appearance: none;
    appearance: none;
    background-color: #fff;
}

    input.jobSearch__filter:focus {
        border-color: #fff;
        box-shadow: 0 0 1px 3px rgba(255, 255, 255, 0.7);
        box-shadow: 0 0 0 3px -moz-mac-focusring;
        color: #222;
        outline: none;
    }

.jobSearch__resetBtn {
    font-size: 22px;
    text-transform: uppercase;
    width:100%;
    padding-top:10px;
    text-align:center;
}

.lawStudentCTA {
    background: #23526E;
    color: #FFF;
    margin: 0 0 30px 0;
    padding: 24px 16px 36px;
}

.lawStudentCTA__heading {
    margin-bottom: 10px;
    text-transform: uppercase;
    font-size: 30px;
    font-weight: normal;
}

.lawStudentCTA__link {
    padding-top: 10px;
    text-align: center;
}

.lawStudentCTA__body, .lawStudentCTA__body p {
    line-height: 1.3;
}


@media only screen and (min-width: 480px) {
    .regions .col-md {
        flex-basis: auto;
        flex: auto;
    }
}

@media only screen and (max-width: 991px) {
    .jobList th {
        border: none;
        clip: rect(0 0 0 0);
        height: 1px;
        margin: -1px;
        overflow: hidden;
        padding: 0;
        position: absolute;
        width: 1px;
    }

    .jobList tr {
        display: block;
    }

    .jobList td {
        display: block;
    }

        .jobList td::before {
            content: attr(data-label);
            font-weight: bold;
            text-transform: uppercase;           
            padding-right: 8px;
            width: 122px;
            text-align: left;
        }

        .jobList td.jobList__separator {
            padding: 15px 0;
        }

    td.jobList__areas, td.jobList__department, td.jobList__position {
        display: none;
    }
}

@media only screen and (min-width: 768px) {
    .region__title {
        font-size: 24px;
    }
}

@media only screen and (min-width: 992px) {

    .jobList th {
        color: #FFF;
        background: #822433;
        font-size: 24px;
        font-weight: normal;
        padding: 5px 10px;
        text-transform: uppercase;
        text-align: left;
    }

    .jobList td {
        padding: 15px 5px 15px 10px;
        text-align: left;
        vertical-align: top;
        min-width: 175px;
        width: 20%;
    }

    .regions {
        margin-bottom: 90px;
    }

    .region__overlay {
        display: none;
    }

    .region__link:hover .region__overlay, .region__link.active .region__overlay, .region__link:focus .region__overlay {
        display: flex;
    }

    .region__link.active .region__focusElement, .region__link:focus .region__focusElement {
        display: none;
    }

    .jobList td {
        font-size: 22px;
    }

    .jobSearch, .lawStudentCTA {
        height: calc(100% - 30px);
    }

    .jobSearch__resetBtn {
        width: 49%;
        padding-top: 0;
    }

    .jobSearch__searchBtn {
        width: 49%;
        margin-bottom:0;
    }

}

@media only screen and (min-width: 1423px) {
    .regions .row {
        flex-wrap: nowrap;
    }
}

@media print {
    /* All your print styles go here */
    .jobList th {
        font-size: 16px;
        font-weight: normal;
        text-transform: uppercase;
        text-align: left;
        padding-right:15px;
        border-bottom: solid 2px;
    }
    .jobList td {
        padding: 10px 15px 10px 0;
    }
}
